aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/%HOME%/.bash_utils/distr.sh
diff options
context:
space:
mode:
Diffstat (limited to '%HOME%/.bash_utils/distr.sh')
-rw-r--r--%HOME%/.bash_utils/distr.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/%HOME%/.bash_utils/distr.sh b/%HOME%/.bash_utils/distr.sh
new file mode 100644
index 0000000..06d342a
--- /dev/null
+++ b/%HOME%/.bash_utils/distr.sh
@@ -0,0 +1,29 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2016 Egor Tensin <Egor.Tensin@gmail.com>
+# This file is part of the "Cygwin configuration files" project.
+# For details, see https://github.com/egor-tensin/cygwin-home.
+# Distributed under the MIT License.
+
+checksums_path='sha1sums.txt'
+
+update_checksums() {
+ sha1sum -- "$@" > "$checksums_path"
+}
+
+update_checksums_distr() (
+ set -o errexit -o nounset -o pipefail
+
+ local -a paths
+ local path
+
+ while IFS= read -d '' -r path; do
+ paths+=("$path")
+ done < <( find . -type f -\( -iname '*.exe' -o -iname '*.iso' -\) -print0 )
+
+ update_checksums "${paths[@]+"${paths[@]}"}"
+)
+
+verify_checksums() {
+ sha1sum --check "$checksums_path"
+}